Returns the details of one federated database instance within the specified project.
- Project Read Only
Path parameters
-
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$. -
Human-readable label that identifies the Federated Database to return.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false.
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/dataFederation/{tenantName}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"cloudProviderConfig": {
"aws": {
"externalId": "string",
"iamAssumedRoleARN": "arn:aws:iam::123456789012:root",
"iamUserARN": "string",
"roleId": "32b6e34b3d91647abb20e7b8"
},
"azure": {
"atlasAppId": "string",
"roleId": "32b6e34b3d91647abb20e7b8",
"servicePrincipalId": "string",
"tenantId": "string"
},
"gcp": {
"gcpServiceAccount": "string",
"roleId": "32b6e34b3d91647abb20e7b8"
}
},
"dataProcessRegion": {
"cloudProvider": "AWS",
"region": "SYDNEY_AUS"
},
"groupId": "32b6e34b3d91647abb20e7b8",
"hostnames": [
"string"
],
"name": "string",
"privateEndpointHostnames": [
{
"hostname": "string",
"privateEndpoint": "string"
}
],
"state": "UNVERIFIED",
"storage": {
"databases": [
{
"collections": [
{
"dataSources": [
{
"allowInsecure": false,
"collection": "string",
"collectionRegex": "string",
"database": "string",
"databaseRegex": "string",
"datasetName": "v1$atlas$snapshot$Cluster0$myDatabase$myCollection$19700101T000000Z",
"datasetPrefix": "string",
"defaultFormat": ".avro",
"path": "string",
"provenanceFieldName": "string",
"storeName": "string",
"trimLevel": 42,
"urls": [
"string"
]
}
],
"name": "string"
}
],
"maxWildcardCollections": 100,
"name": "string",
"views": [
{
"name": "string",
"pipeline": "string",
"source": "string"
}
]
}
],
"stores": [
{
"name": "string",
"provider": "s3",
"additionalStorageClasses": [
"STANDARD"
],
"bucket": "string",
"delimiter": "string",
"includeTags": false,
"prefix": "string",
"public": false,
"region": "US_GOV_WEST_1"
}
]
}
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}